#!/usr/bin/env bash
#bash script     : developers.es
#apps            : Developers Functions Library
#description     : Translate Messages (es)
#author		     : MRP/mrp - Mauro Rosero P.
#company email   : mauro@rosero.one
#personal email  : mauro.rosero@gmail.com
#date            : 20241130
#version         : 1.0.2
#notes           :
#==============================================================================
#==============================================================================

# Mensajes para aider_install.sh
aimsg_000="INSTALACIÓN DE AIDER"
aimsg_001="Error: Python 3 no está instalado."
aimsg_002="Por favor, instale Python 3 antes de continuar."
aimsg_003="Error: pip3 no está instalado."
aimsg_004="Por favor, instale pip3 antes de continuar."
aimsg_005="Instalando módulo venv..."
aimsg_006="Creando entorno virtual para aider..."
aimsg_007="Activando entorno virtual..."
aimsg_008="Actualizando pip..."
aimsg_009="Instalando aider..."
aimsg_010="Creando alias para aider..."
aimsg_011="Alias añadido a .bashrc"
aimsg_012="Alias añadido a .zshrc"
aimsg_013="Desactivando entorno virtual..."
aimsg_014="Desinstalando aider..."
aimsg_015="Entorno virtual de aider eliminado."
aimsg_016="Aider ha sido desinstalado completamente."
aimsg_017="Uso: $0 [OPCIÓN]"
aimsg_018="Opciones:"
aimsg_019="  Sin opción    - Instala aider"
aimsg_020="  -u, --uninstall - Desinstala aider"
aimsg_021="  -h, --help    - Muestra esta ayuda"
aimsg_022="Aider ha sido instalado correctamente."
aimsg_023="Para usar aider, ejecute 'aider' en una nueva terminal."
aimsg_024="La primera vez que lo ejecute deberá configurar su API key de OpenAI."

# Mensajes para sora_enable.sh y sora_disable.sh
srmsg_000="ALIAS SORA PARA AIDER"
srmsg_001="Alias 'sora' para Aider"
srmsg_002="¿Desea habilitar el alias 'sora' para Aider?"
srmsg_003="¿Desea deshabilitar el alias 'sora' para Aider?"
srmsg_004="El alias 'sora' ya existe en"
srmsg_005="El alias 'sora' ha sido agregado a"
srmsg_006="El alias 'sora' ha sido habilitado en su shell."
srmsg_007="Para activarlo en la sesión actual, ejecute:"
srmsg_008="Alias habilitado"
srmsg_009="Alias creado"
srmsg_010="Alias no encontrado"
srmsg_011="El alias 'sora' no existe en su archivo de configuración"
srmsg_012="Alias eliminado"
srmsg_013="El alias 'sora' ha sido eliminado de"
srmsg_014="El alias 'sora' ha sido deshabilitado en su shell."
srmsg_015="Para desactivarlo en la sesión actual, ejecute:"
srmsg_016="Alias deshabilitado"
srmsg_017="Alias sora habilitado"
srmsg_018="Alias sora deshabilitado"
srmsg_019="Error al agregar el alias al archivo de configuración"
srmsg_020="Error al eliminar el alias del archivo de configuración"
srmsg_021="Shell no soportado. Use bash o zsh."

gpmsg_000="INICIALIZAR GPG"
gpmsg_001="RESTAURAR BACKUP DE PERFIL"

gpmsg_101="Desea inicializar la configuración de GPG?"
gpmsg_102="Configuración GPG inicializada!"
gpmsg_103="Plantilla de configuración GPG no existe!"
gpmsg_104="Desea realizar una copia de seguridad GPG?"
gpmsg_105="Desea realizar copia de seguridad para el desarrollador"
gpmsg_106="Copia de seguridad de claves GPG completada!"
gpmsg_107="Archivo de configuración GPG no fue encontrado!"
gpmsg_108="Carpeta de copia de seguridad local no existe"
gpmsg_109="Contraseña del archivo ZIP no fue suministrada"
gpmsg_110="Base de Datos SQLITE3 no fue suministrada"
gpmsg_111="Archivo de Base de Datos SQLITE3 no existe!"
gpmsg_112="Carpeta temporal de Backup no fue suministrada"
gpmsg_113="Desea restaurar la copia de seguridad"
gpmsg_114="Restauración de copia de seguridad completada satisfactoriamente!"

dvmsg_101_0="Versión"
dvmsg_101_1="Uso:"
dvmsg_101_2="<developer zipfile> [--help] [--version]"
dvmsg_102="Descripción: Este bash script restaura una copia de seguridad de perfil de desarrollador"
dvmsg_103="             donde <developer zipfile> es argumento obligatorio y corresponde a la copia"
dvmsg_104="             de seguridad en formato zip."
dvmsg_105="Opciones:"
dvmsg_106="  --help     Muestra este mensaje de ayuda."
dvmsg_107="  --version  Muestra la versión del script."

# Mensajes para cversadm_token.sh
cvmsg_000="ADMINISTRADOR DE TOKENS DE CONTROL DE VERSIONES"
cvmsg_001="Seleccione plataforma de control de versiones"
cvmsg_002="Elija la plataforma para la que desea configurar el token de acceso"
cvmsg_003="Token de acceso"
cvmsg_004="Introduzca el token de acceso personal para"
cvmsg_005="El token se utilizará para operaciones de autenticación"
cvmsg_006="Token guardado correctamente para"
cvmsg_007="Error al guardar el token para"
cvmsg_008="Carpeta de configuración creada:"
cvmsg_009="Seleccione una opción"
cvmsg_010="Github"
cvmsg_011="Gitlab"
cvmsg_012="Forgejo"
cvmsg_013="SOPS no está instalado"
cvmsg_014="Por favor, ejecute bin/bootstrap.sh para instalar las herramientas necesarias."
cvmsg_015="El token no puede estar vacío. Por favor ingrese un token válido."
cvmsg_016="El token parece ser demasiado corto. Verifique que haya copiado el token completo."
cvmsg_017="El token contiene caracteres no estándar. Verifique que sea correcto."

# Mensajes para qr_secret.sh
qrmsg_000="EXTRACTOR DE SECRETOS QR"
qrmsg_001="Nombre del archivo"
qrmsg_002="Ingrese un nombre para el archivo (solo letras, números, ., - y _)"
qrmsg_003="Seleccione una imagen QR"
qrmsg_004="El nombre no puede estar vacío."
qrmsg_005="El nombre no puede contener espacios."
qrmsg_006="El nombre solo puede contener letras, números, ., - y _."
qrmsg_007="No se pudo extraer el secreto de la imagen QR seleccionada."
qrmsg_008="Secreto guardado correctamente en"
qrmsg_009="No se pudo guardar el secreto encriptado."
qrmsg_010="Operación cancelada por el usuario."
qrmsg_011="Éxito"
qrmsg_012="Error"
qrmsg_013="Dialog no está instalado"
qrmsg_014="Zbar no está instalado"

# Mensajes para fjadmin_install.sh
fjmsg_000="INSTALADOR DE FORGEJO CLI"
fjmsg_001="Instalando Forgejo CLI"
fjmsg_002="Cargo no está instalado. Instalando Rust y Cargo..."
fjmsg_003="Rust y Cargo han sido instalados correctamente."
fjmsg_004="Cargo ya está instalado."
fjmsg_005="Forgejo CLI no está instalado. Instalando..."
fjmsg_006="ERROR: No se pudo encontrar cargo en el PATH después de la instalación."
fjmsg_007="Por favor reinicie su terminal e intente nuevamente."
fjmsg_008="Forgejo CLI instalado correctamente."
fjmsg_009="ERROR: No se pudo instalar Forgejo CLI."
fjmsg_010="Preparando instalación de Forgejo CLI..."
fjmsg_011="Instalación completada."
fjmsg_012="¿Desea instalar Forgejo CLI?"
fjmsg_013="Esta herramienta le permite administrar instancias de Forgejo desde línea de comandos."
fjmsg_014="Instalación cancelada por el usuario."

# Mensajes para forgejo_login.sh
fgmsg_000="INICIO DE SESIÓN EN FORGEJO"
fgmsg_001="Error: berg (Forgejo CLI) no está instalado."
fgmsg_002="Por favor, ejecute ${BIN_HOME}/${BIN_BASE}/fjadmin_install.sh primero."
fgmsg_003="Error: SOPS no está instalado."
fgmsg_004="Por favor, ejecute bin/bootstrap.sh para instalar las herramientas necesarias."
fgmsg_005="Error: No se encontró el archivo de token para Forgejo."
fgmsg_006="Por favor, ejecute bin/cversadm_token.sh para configurar el token primero."
fgmsg_007="Usando servidor Forgejo:"
fgmsg_008="ADVERTENCIA: No se pudo detectar automáticamente la URL de Forgejo."
fgmsg_009="Si la autenticación falla, establezca manualmente BERG_BASE_URL."
fgmsg_010="Iniciando sesión en Forgejo..."
fgmsg_011="Sesión iniciada correctamente en Forgejo."
fgmsg_012="Error al iniciar sesión en Forgejo. Por favor, verifique su token."
fgmsg_013="Cerrando sesión de Forgejo..."
fgmsg_014="No hay sesión activa en Forgejo."
fgmsg_015="Sesión cerrada."

# Mensajes para ghadmin_install.sh
ghmsg_000="INSTALADOR DE GITHUB CLI"
ghmsg_001="Este script requiere privilegios de administrador."
ghmsg_002="Intentando escalar privilegios..."
ghmsg_003="Usando sudo para escalar privilegios..."
ghmsg_004="Usando doas para escalar privilegios..."
ghmsg_005="ERROR: No se encontró sudo ni doas. Por favor ejecute este script como root."
ghmsg_006="Distribución detectada:"
ghmsg_007="Instalando GitHub CLI en sistema basado en Debian/Ubuntu..."
ghmsg_008="GitHub CLI instalado correctamente."
ghmsg_009="ERROR: No se pudo instalar GitHub CLI."
ghmsg_010="Instalando GitHub CLI en sistema basado en Red Hat/Fedora..."
ghmsg_011="Instalando GitHub CLI en Arch Linux..."
ghmsg_012="Instalando GitHub CLI en sistema basado en SUSE..."
ghmsg_013="Instalando GitHub CLI en macOS..."
ghmsg_014="Homebrew no está instalado. Instalando Homebrew..."
ghmsg_015="GitHub CLI ya está instalado."
ghmsg_016="Versión actual:"
ghmsg_017="¿Desea reinstalar o actualizar? (s/n):"
ghmsg_018="Operación cancelada."
ghmsg_019="Distribución no soportada:"
ghmsg_020="Por favor, visite https://github.com/cli/cli#installation para instrucciones de instalación manual."
ghmsg_021="Para autenticarse con GitHub, ejecute:"
ghmsg_022="Para más información, visite: https://cli.github.com/manual/"
ghmsg_023="ERROR: La instalación de GitHub CLI falló."

# Mensajes para gladmin_install.sh
glmsg_000="INSTALADOR DE GITLAB CLI"
glmsg_001="Este script requiere privilegios de administrador."
glmsg_002="Intentando escalar privilegios..."
glmsg_003="Usando sudo para escalar privilegios..."
glmsg_004="Usando doas para escalar privilegios..."
glmsg_005="ERROR: No se encontró sudo ni doas. Por favor ejecute este script como root."
glmsg_006="Distribución detectada:"
glmsg_007="Instalando GitLab CLI mediante Homebrew..."
glmsg_008="Homebrew no está instalado. Instalando Homebrew..."
glmsg_009="ERROR: No se pudo instalar Homebrew."
glmsg_010="GitLab CLI instalado correctamente mediante Homebrew."
glmsg_011="ERROR: No se pudo instalar GitLab CLI mediante Homebrew."
glmsg_012="Instalando GitLab CLI en sistema basado en Debian/Ubuntu..."
glmsg_013="Verificando si glab está disponible en los repositorios..."
glmsg_014="GitLab CLI encontrado en los repositorios. Instalando..."
glmsg_015="GitLab CLI instalado correctamente desde los repositorios oficiales."
glmsg_016="Agregando repositorio oficial de GitLab..."
glmsg_017="GitLab CLI instalado correctamente mediante script oficial."
glmsg_018="Intentando instalar mediante Homebrew..."
glmsg_019="Instalando GitLab CLI en sistema basado en Red Hat/Fedora..."
glmsg_020="Usando script oficial de instalación..."
glmsg_021="Intentando instalar mediante snap..."
glmsg_022="GitLab CLI instalado correctamente mediante snap."
glmsg_023="Instalando GitLab CLI en Arch Linux..."
glmsg_024="GitLab CLI instalado correctamente desde AUR."
glmsg_025="Instalando GitLab CLI en sistema basado en SUSE..."
glmsg_026="Intentando instalar GitLab CLI mediante Go..."
glmsg_027="Go no está instalado. Se requiere Go para este método de instalación."
glmsg_028="GitLab CLI instalado correctamente mediante Go."
glmsg_029="Asegúrese de que $GOPATH/bin esté en su PATH."
glmsg_030="Por ejemplo, puede agregar lo siguiente a su ~/.bashrc o ~/.zshrc:"
glmsg_031="export PATH=$PATH:$HOME/go/bin"
glmsg_032="ERROR: No se pudo instalar GitLab CLI mediante Go."
glmsg_033="Instalando GitLab CLI usando binarios precompilados..."
glmsg_034="Arquitectura no soportada:"
glmsg_035="Descargando GitLab CLI desde:"
glmsg_036="ERROR: No se pudo descargar GitLab CLI."
glmsg_037="ERROR: No se pudo extraer el archivo de GitLab CLI."
glmsg_038="GitLab CLI instalado correctamente mediante binarios precompilados."
glmsg_039="ERROR: No se pudo instalar GitLab CLI mediante binarios precompilados."
glmsg_040="GitLab CLI ya está instalado."
glmsg_041="Versión actual:"
glmsg_042="¿Desea reinstalar o actualizar? (s/n):"
glmsg_043="Operación cancelada."
glmsg_044="Distribución no soportada directamente:"
glmsg_045="Intentando métodos alternativos..."
glmsg_046="Intentando métodos alternativos de instalación..."
glmsg_047="No se pudo instalar GitLab CLI con ninguno de los métodos disponibles."
glmsg_048="Por favor, visite https://gitlab.com/gitlab-org/cli para instrucciones de instalación manual."
glmsg_049="GitLab CLI instalado correctamente."
glmsg_050="Para autenticarse con GitLab, ejecute:"
glmsg_051="Para más información, visite: https://gitlab.com/gitlab-org/cli/blob/main/docs/index.md"
glmsg_052="ERROR: La instalación de GitLab CLI falló."

